local AddonName, AddonTable = ...
local L = AddonTable.Localize
local AddonTitle = select(2, GetAddOnInfo(AddonName))
local PlainAddonTitle = AddonTitle:gsub("|c........", ""):gsub("|r", "")

function DRFrame_OnLoad()

	if DRConfig == "" or DRConfig == nil then
		DRConfig = {
			["DeclineDuel"] = 'ON',
			["ShowChatMessage"] = 'ON'
		}
	end
	
	if DRConfig.ShowChatMessage == nil then
		DRConfig.ShowChatMessage = "ON"
	end
	
	DRFrame:RegisterEvent("DUEL_REQUESTED");
	DEFAULT_CHAT_FRAME:AddMessage("|cFF00FFFF[" .. L["DuelResponse"] .."]|r v" .. GetAddOnMetadata("DuelResponse", "Version") .. L[" loaded successfully."])
	-- already hidden by default, but just in case...
	DRFrame:Hide();

SlashCmdList["DUELRESPONSE"] = drconfig;
	SLASH_DUELRESPONSE1 = "/dr"
	
end

function DRFrame_OnEvent(self, event, arg1)

	if DRConfig.DeclineDuel == "OFF" then
		if IsControlKeyDown() or IsAltKeyDown() then
			return
		else
			if UnitIsAFK("player") == true then
				CancelDuel()
				if DRConfig.ShowChatMessage == "ON" then
					DEFAULT_CHAT_FRAME:AddMessage("|cFF00FFFF[" .. L["DuelResponse"] .."]|r " .. arg1 .. L[" challenged you while you were marked as AFK."])
				end
			elseif UnitIsDND("player") == true then
				CancelDuel()
				if DRConfig.ShowChatMessage == "ON" then
					DEFAULT_CHAT_FRAME:AddMessage("|cFF00FFFF[" .. L["DuelResponse"] .."]|r " .. arg1 .. L[" challenged you while you were marked as Busy."])
				end
			end
		end
	elseif DRConfig.DeclineDuel == "ON" then
		if IsControlKeyDown() or IsAltKeyDown() then
			return
		else
			CancelDuel()
			if DRConfig.ShowChatMessage == "ON" then
				DEFAULT_CHAT_FRAME:AddMessage("|cFF00FFFF[" .. L["DuelResponse"] .."]|r " .. L["Declined a duel request from "] .. arg1 .. ".")
			end
		end
	else
		return
	end
	
end

function drconfig(msg, editbox)

if msg == "" or msg == nil then
	if DRConfig.DeclineDuel == "ON" then
		DRConfig.DeclineDuel = 'OFF'
		DEFAULT_CHAT_FRAME:AddMessage("|cFF00FFFF[" .. L["DuelResponse"] .."]|r " .. L["Duel requests will not be declined."])
	elseif DRConfig.DeclineDuel == "OFF" then
		DRConfig.DeclineDuel = 'ON'
		DEFAULT_CHAT_FRAME:AddMessage("|cFF00FFFF[" .. L["DuelResponse"] .."]|r " .. L["Duel requests will be declined."])
	end
elseif msg == "chat" then
	if DRConfig.ShowChatMessage == "ON" then
		DRConfig.ShowChatMessage = 'OFF'
		DEFAULT_CHAT_FRAME:AddMessage("|cFF00FFFF[" .. L["DuelResponse"] .."]|r " .. L["Chat log messages have been turned off."])
	elseif DRConfig.ShowChatMessage == "OFF" then
		DRConfig.ShowChatMessage = 'ON'
		DEFAULT_CHAT_FRAME:AddMessage("|cFF00FFFF[" .. L["DuelResponse"] .."]|r " .. L["Chat log messages have been turned on."])
	end
end

end